Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.xml
Class JRXmlConstants

    java.lang.Object
      net.sf.jasperreports.engine.xml.JRXmlConstants

    public final class JRXmlConstants

extends java.lang.Object

Version:
  $Id: JRXmlConstants.java 3953 2010-09-20 13:54:34Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static java.lang.String` | `ATTRIBUTE_alpha`
`static java.lang.String` | `ATTRIBUTE_anchorName` JRPrintImageFactory associated constants
`static java.lang.String` | `ATTRIBUTE_axisLineColor`
`static java.lang.String` | `ATTRIBUTE_backcolor`
`static java.lang.String` | `ATTRIBUTE_backgroundAlpha`
`static java.lang.String` | `ATTRIBUTE_backgroundColor`
`static java.lang.String` | `ATTRIBUTE_band`
`static java.lang.String` | `ATTRIBUTE_bookmarkLevel`
`static java.lang.String` | `ATTRIBUTE_border`
`static java.lang.String` | `ATTRIBUTE_borderColor`
`static java.lang.String` | `ATTRIBUTE_bottomBorder`
`static java.lang.String` | `ATTRIBUTE_bottomBorderColor`
`static java.lang.String` | `ATTRIBUTE_bottomMargin`
`static java.lang.String` | `ATTRIBUTE_bottomPadding`
`static java.lang.String` | `ATTRIBUTE_calculation`
`static java.lang.String` | `ATTRIBUTE_class`
`static java.lang.String` | `ATTRIBUTE_color`
`static java.lang.String` | `ATTRIBUTE_columnCount`
`static java.lang.String` | `ATTRIBUTE_columnDirection`
`static java.lang.String` | `ATTRIBUTE_columnSpacing`
`static java.lang.String` | `ATTRIBUTE_columnWidth`
`static java.lang.String` | `ATTRIBUTE_customizerClass`
`static java.lang.String` | `ATTRIBUTE_depthFactor`
`static java.lang.String` | `ATTRIBUTE_direction`
`static java.lang.String` | `ATTRIBUTE_evaluationGroup`
`static java.lang.String` | `ATTRIBUTE_evaluationTime`
`static java.lang.String` | `ATTRIBUTE_fill`
`static java.lang.String` | `ATTRIBUTE_fontName`
`static java.lang.String` | `ATTRIBUTE_fontSize`
`static java.lang.String` | `ATTRIBUTE_footerPosition`
`static java.lang.String` | `ATTRIBUTE_forecolor`
`static java.lang.String` | `ATTRIBUTE_foregroundAlpha`
`static java.lang.String` | `ATTRIBUTE_formatFactoryClass`
`static java.lang.String` | `ATTRIBUTE_group`
`static java.lang.String` | `ATTRIBUTE_hAlign`
`static java.lang.String` | `ATTRIBUTE_height`
`static java.lang.String` | `ATTRIBUTE_hyperlinkAnchor`
`static java.lang.String` | `ATTRIBUTE_hyperlinkPage`
`static java.lang.String` | `ATTRIBUTE_hyperlinkReference`
`static java.lang.String` | `ATTRIBUTE_hyperlinkTarget`
`static java.lang.String` | `ATTRIBUTE_hyperlinkTooltip`
`static java.lang.String` | `ATTRIBUTE_hyperlinkType`
`static java.lang.String` | `ATTRIBUTE_incrementerFactoryClass`
`static java.lang.String` | `ATTRIBUTE_incrementGroup`
`static java.lang.String` | `ATTRIBUTE_incrementType`
`static java.lang.String` | `ATTRIBUTE_isBlankWhenNull`
`static java.lang.String` | `ATTRIBUTE_isBold`
`static java.lang.String` | `ATTRIBUTE_isCircular`
`static java.lang.String` | `ATTRIBUTE_isDefault`
`static java.lang.String` | `ATTRIBUTE_isEmbedded` JRPrintImageSourceFactory associated constants
`static java.lang.String` | `ATTRIBUTE_isFloatColumnFooter`
`static java.lang.String` | `ATTRIBUTE_isForPrompting`
`static java.lang.String` | `ATTRIBUTE_isIgnorePagination`
`static java.lang.String` | `ATTRIBUTE_isItalic`
`static java.lang.String` | `ATTRIBUTE_isLazy`
`static java.lang.String` | `ATTRIBUTE_isPdfEmbedded`
`static java.lang.String` | `ATTRIBUTE_isPrintInFirstWholeBand`
`static java.lang.String` | `ATTRIBUTE_isPrintRepeatedValues`
`static java.lang.String` | `ATTRIBUTE_isPrintWhenDetailOverflows`
`static java.lang.String` | `ATTRIBUTE_isRemoveLineWhenBlank`
`static java.lang.String` | `ATTRIBUTE_isReprintHeaderOnEachPage`
`static java.lang.String` | `ATTRIBUTE_isResetPageNumber`
`static java.lang.String` | `ATTRIBUTE_isShowCloseTicks`
`static java.lang.String` | `ATTRIBUTE_isShowLabels`
`static java.lang.String` | `ATTRIBUTE_isShowLegend`
`static java.lang.String` | `ATTRIBUTE_isShowLines`
`static java.lang.String` | `ATTRIBUTE_isShowOpenTicks`
`static java.lang.String` | `ATTRIBUTE_isShowShapes`
`static java.lang.String` | `ATTRIBUTE_isShowTickLabels`
`static java.lang.String` | `ATTRIBUTE_isShowTickMarks`
`static java.lang.String` | `ATTRIBUTE_isShowVolume`
`static java.lang.String` | `ATTRIBUTE_isSplitAllowed`
`static java.lang.String` | `ATTRIBUTE_isStartNewColumn`
`static java.lang.String` | `ATTRIBUTE_isStartNewPage`
`static java.lang.String` | `ATTRIBUTE_isStretchWithOverflow`
`static java.lang.String` | `ATTRIBUTE_isStrikeThrough`
`static java.lang.String` | `ATTRIBUTE_isStyledText`
`static java.lang.String` | `ATTRIBUTE_isSummaryNewPage`
`static java.lang.String` | `ATTRIBUTE_isSummaryWithPageHeaderAndFooter`
`static java.lang.String` | `ATTRIBUTE_isTitleNewPage`
`static java.lang.String` | `ATTRIBUTE_isUnderline`
`static java.lang.String` | `ATTRIBUTE_isUsingCache`
`static java.lang.String` | `ATTRIBUTE_keepTogether`
`static java.lang.String` | `ATTRIBUTE_key`
`static java.lang.String` | `ATTRIBUTE_label`
`static java.lang.String` | `ATTRIBUTE_labelColor`
`static java.lang.String` | `ATTRIBUTE_labelFormat`
`static java.lang.String` | `ATTRIBUTE_labelRotation`
`static java.lang.String` | `ATTRIBUTE_language`
`static java.lang.String` | `ATTRIBUTE_leadingOffset`
`static java.lang.String` | `ATTRIBUTE_leftBorder`
`static java.lang.String` | `ATTRIBUTE_leftBorderColor`
`static java.lang.String` | `ATTRIBUTE_leftMargin`
`static java.lang.String` | `ATTRIBUTE_leftPadding`
`static java.lang.String` | `ATTRIBUTE_legendLabelFormat`
`static java.lang.String` | `ATTRIBUTE_lineColor`
`static java.lang.String` | `ATTRIBUTE_lineSpacing`
`static java.lang.String` | `ATTRIBUTE_lineSpacingFactor`
`static java.lang.String` | `ATTRIBUTE_lineStyle`
`static java.lang.String` | `ATTRIBUTE_lineWidth`
`static java.lang.String` | `ATTRIBUTE_locale`
`static java.lang.String` | `ATTRIBUTE_markup`
`static java.lang.String` | `ATTRIBUTE_mask`
`static java.lang.String` | `ATTRIBUTE_maxCount`
`static java.lang.String` | `ATTRIBUTE_minHeightToStartNewPage`
`static java.lang.String` | `ATTRIBUTE_minPercentage`
`static java.lang.String` | `ATTRIBUTE_mode`
`static java.lang.String` | `ATTRIBUTE_name`
`static java.lang.String` | `ATTRIBUTE_namespace`
`static java.lang.String` | `ATTRIBUTE_nestedType`
`static java.lang.String` | `ATTRIBUTE_onErrorType`
`static java.lang.String` | `ATTRIBUTE_order`
`static java.lang.String` | `ATTRIBUTE_orientation`
`static java.lang.String` | `ATTRIBUTE_origin`
`static java.lang.String` | `ATTRIBUTE_padding`
`static java.lang.String` | `ATTRIBUTE_pageHeight`
`static java.lang.String` | `ATTRIBUTE_pageWidth`
`static java.lang.String` | `ATTRIBUTE_pattern`
`static java.lang.String` | `ATTRIBUTE_pdfEncoding`
`static java.lang.String` | `ATTRIBUTE_pdfFontName`
`static java.lang.String` | `ATTRIBUTE_pen`
`static java.lang.String` | `ATTRIBUTE_position` JRChartTitleFactory associated constants
`static java.lang.String` | `ATTRIBUTE_positionType`
`static java.lang.String` | `ATTRIBUTE_printOrder`
`static java.lang.String` | `ATTRIBUTE_printWhenGroupChanges`
`static java.lang.String` | `ATTRIBUTE_radius`
`static java.lang.String` | `ATTRIBUTE_renderType`
`static java.lang.String` | `ATTRIBUTE_report`
`static java.lang.String` | `ATTRIBUTE_reportFont`
`static java.lang.String` | `ATTRIBUTE_resetGroup`
`static java.lang.String` | `ATTRIBUTE_resetType`
`static java.lang.String` | `ATTRIBUTE_resourceBundle`
`static java.lang.String` | `ATTRIBUTE_rightBorder`
`static java.lang.String` | `ATTRIBUTE_rightBorderColor`
`static java.lang.String` | `ATTRIBUTE_rightMargin`
`static java.lang.String` | `ATTRIBUTE_rightPadding`
`static java.lang.String` | `ATTRIBUTE_rotation`
`static java.lang.String` | `ATTRIBUTE_runDirection`
`static java.lang.String` | `ATTRIBUTE_runToBottom`
`static java.lang.String` | `ATTRIBUTE_scaleImage`
`static java.lang.String` | `ATTRIBUTE_scaleType`
`static java.lang.String` | `ATTRIBUTE_scriptletClass`
`static java.lang.String` | `ATTRIBUTE_seriesOrder`
`static java.lang.String` | `ATTRIBUTE_size`
`static java.lang.String` | `ATTRIBUTE_skipWhenNull`
`static java.lang.String` | `ATTRIBUTE_splitType`
`static java.lang.String` | `ATTRIBUTE_stretchType`
`static java.lang.String` | `ATTRIBUTE_style`
`static java.lang.String` | `ATTRIBUTE_subDataset`
`static java.lang.String` | `ATTRIBUTE_subreportVariable`
`static java.lang.String` | `ATTRIBUTE_textAlignment` JRPrintTextFactory associated constants
`static java.lang.String` | `ATTRIBUTE_textColor` JRChartLegendFactory associated constants
`static java.lang.String` | `ATTRIBUTE_textHeight`
`static java.lang.String` | `ATTRIBUTE_theme`
`static java.lang.String` | `ATTRIBUTE_tickLabelColor`
`static java.lang.String` | `ATTRIBUTE_tickLabelMask`
`static java.lang.String` | `ATTRIBUTE_timePeriod`
`static java.lang.String` | `ATTRIBUTE_timezone`
`static java.lang.String` | `ATTRIBUTE_topBorder`
`static java.lang.String` | `ATTRIBUTE_topBorderColor`
`static java.lang.String` | `ATTRIBUTE_topMargin`
`static java.lang.String` | `ATTRIBUTE_topPadding`
`static java.lang.String` | `ATTRIBUTE_toVariable`
`static java.lang.String` | `ATTRIBUTE_truncateIndex`
`static java.lang.String` | `ATTRIBUTE_type`
`static java.lang.String` | `ATTRIBUTE_vAlign`
`static java.lang.String` | `ATTRIBUTE_value`
`static java.lang.String` | `ATTRIBUTE_valueClass`
`static java.lang.String` | `ATTRIBUTE_verticalAlignment`
`static java.lang.String` | `ATTRIBUTE_verticalTickLabels`
`static java.lang.String` | `ATTRIBUTE_whenNoDataType`
`static java.lang.String` | `ATTRIBUTE_whenResourceMissingType`
`static java.lang.String` | `ATTRIBUTE_width`
`static java.lang.String` | `ATTRIBUTE_x`
`static java.lang.String` | `ATTRIBUTE_xOffset`
`static java.lang.String` | `ATTRIBUTE_y`
`static java.lang.String` | `ATTRIBUTE_yOffset`
`static java.lang.String` | `ELEMENT_anchorNameExpression`
`static java.lang.String` | `ELEMENT_areaChart`
`static java.lang.String` | `ELEMENT_areaPlot`
`static java.lang.String` | `ELEMENT_axisFormat` JRChartAxisFormatFactory associated constants
`static java.lang.String` | `ELEMENT_background`
`static java.lang.String` | `ELEMENT_band` JRBandFactory associated constants
`static java.lang.String` | `ELEMENT_bar3DChart`
`static java.lang.String` | `ELEMENT_bar3DPlot`
`static java.lang.String` | `ELEMENT_barChart`
`static java.lang.String` | `ELEMENT_barPlot`
`static java.lang.String` | `ELEMENT_bottomPen`
`static java.lang.String` | `ELEMENT_box` JRBoxFactory associated constants
`static java.lang.String` | `ELEMENT_break` JRBreakFactory associated constants
`static java.lang.String` | `ELEMENT_bubbleChart`
`static java.lang.String` | `ELEMENT_bubblePlot`
`static java.lang.String` | `ELEMENT_candlestickChart`
`static java.lang.String` | `ELEMENT_candlestickPlot`
`static java.lang.String` | `ELEMENT_categoryAxisFormat`
`static java.lang.String` | `ELEMENT_categoryAxisLabelExpression`
`static java.lang.String` | `ELEMENT_categoryDataset`
`static java.lang.String` | `ELEMENT_categoryExpression`
`static java.lang.String` | `ELEMENT_categorySeries`
`static java.lang.String` | `ELEMENT_chart` JRChartFactory associated constants
`static java.lang.String` | `ELEMENT_chartLegend`
`static java.lang.String` | `ELEMENT_chartSubtitle`
`static java.lang.String` | `ELEMENT_chartTitle`
`static java.lang.String` | `ELEMENT_closeExpression`
`static java.lang.String` | `ELEMENT_columnFooter`
`static java.lang.String` | `ELEMENT_columnHeader`
`static java.lang.String` | `ELEMENT_componentElement`
`static java.lang.String` | `ELEMENT_conditionalStyle` JRConditionalStyleFactory associated constants
`static java.lang.String` | `ELEMENT_conditionExpression`
`static java.lang.String` | `ELEMENT_connectionExpression`
`static java.lang.String` | `ELEMENT_dataRange`
`static java.lang.String` | `ELEMENT_dataset` JRElementDatasetFactory associated constants
`static java.lang.String` | `ELEMENT_datasetParameter` JRDatasetRunParameterFactory associated constants
`static java.lang.String` | `ELEMENT_datasetParameterExpression` JRDatasetRunParameterExpressionFactory associated constants
`static java.lang.String` | `ELEMENT_datasetRun` JRDatasetRunFactory associated constants
`static java.lang.String` | `ELEMENT_dataSourceExpression`
`static java.lang.String` | `ELEMENT_dateExpression`
`static java.lang.String` | `ELEMENT_defaultValueExpression`
`static java.lang.String` | `ELEMENT_detail`
`static java.lang.String` | `ELEMENT_domainAxisMaxValueExpression`
`static java.lang.String` | `ELEMENT_domainAxisMinValueExpression`
`static java.lang.String` | `ELEMENT_elementGroup` JRElementGroupFactory associated constants
`static java.lang.String` | `ELEMENT_ellipse` JREllipseFactory associated constants
`static java.lang.String` | `ELEMENT_endDateExpression`
`static java.lang.String` | `ELEMENT_field` JRFieldFactory associated constants
`static java.lang.String` | `ELEMENT_fieldDescription`
`static java.lang.String` | `ELEMENT_filterExpression`
`static java.lang.String` | `ELEMENT_font` JRFieldFactory associated constants
`static java.lang.String` | `ELEMENT_frame` JRFrameFactory associated constants
`static java.lang.String` | `ELEMENT_ganttChart`
`static java.lang.String` | `ELEMENT_ganttDataset`
`static java.lang.String` | `ELEMENT_ganttSeries`
`static java.lang.String` | `ELEMENT_genericElement`
`static java.lang.String` | `ELEMENT_genericElementParameter`
`static java.lang.String` | `ELEMENT_genericElementParameter_valueExpression`
`static java.lang.String` | `ELEMENT_genericElementParameterValue`
`static java.lang.String` | `ELEMENT_genericElementType`
`static java.lang.String` | `ELEMENT_graphicElement` JRGraphicElementFactory associated constants
`static java.lang.String` | `ELEMENT_group` JRGroupFactory associated constants
`static java.lang.String` | `ELEMENT_groupExpression`
`static java.lang.String` | `ELEMENT_groupFooter`
`static java.lang.String` | `ELEMENT_groupHeader`
`static java.lang.String` | `ELEMENT_highExpression`
`static java.lang.String` | `ELEMENT_highLowChart`
`static java.lang.String` | `ELEMENT_highLowDataset`
`static java.lang.String` | `ELEMENT_highLowPlot`
`static java.lang.String` | `ELEMENT_hyperlinkAnchorExpression`
`static java.lang.String` | `ELEMENT_hyperlinkPageExpression`
`static java.lang.String` | `ELEMENT_hyperlinkParameter` JRHyperlinkParameterFactory associated constants
`static java.lang.String` | `ELEMENT_hyperlinkParameterExpression` JRHyperlinkFactory associated constants
`static java.lang.String` | `ELEMENT_hyperlinkParameterValue` JRPrintHyperlinkParameterValueFactory associated constants
`static java.lang.String` | `ELEMENT_hyperlinkReferenceExpression`
`static java.lang.String` | `ELEMENT_hyperlinkTooltipExpression` JRHyperlinkFactory associated constants
`static java.lang.String` | `ELEMENT_image` JRImageFactory associated constants
`static java.lang.String` | `ELEMENT_imageExpression`
`static java.lang.String` | `ELEMENT_imageSource`
`static java.lang.String` | `ELEMENT_import`
`static java.lang.String` | `ELEMENT_incrementWhenExpression`
`static java.lang.String` | `ELEMENT_initialValueExpression`
`static java.lang.String` | `ELEMENT_itemHyperlink`
`static java.lang.String` | `ELEMENT_itemLabel`
`static java.lang.String` | `ELEMENT_jasperPrint` JasperPrintFactory associated constants
`static java.lang.String` | `ELEMENT_jasperReport` JasperDesignFactory associated constants
`static java.lang.String` | `ELEMENT_keyExpression`
`static java.lang.String` | `ELEMENT_labelExpression`
`static java.lang.String` | `ELEMENT_labelFont`
`static java.lang.String` | `ELEMENT_lastPageFooter`
`static java.lang.String` | `ELEMENT_leftPen`
`static java.lang.String` | `ELEMENT_line` JRLineFactory associated constants
`static java.lang.String` | `ELEMENT_lineBreakOffsets`
`static java.lang.String` | `ELEMENT_lineChart`
`static java.lang.String` | `ELEMENT_linePlot`
`static java.lang.String` | `ELEMENT_lowExpression`
`static java.lang.String` | `ELEMENT_meterChart`
`static java.lang.String` | `ELEMENT_meterInterval`
`static java.lang.String` | `ELEMENT_multiAxisChart`
`static java.lang.String` | `ELEMENT_multiAxisPlot`
`static java.lang.String` | `ELEMENT_noData`
`static java.lang.String` | `ELEMENT_openExpression`
`static java.lang.String` | `ELEMENT_origin` JROriginFactory associated constants
`static java.lang.String` | `ELEMENT_otherKeyExpression`
`static java.lang.String` | `ELEMENT_otherLabelExpression`
`static java.lang.String` | `ELEMENT_otherSectionHyperlink`
`static java.lang.String` | `ELEMENT_page`
`static java.lang.String` | `ELEMENT_pageFooter`
`static java.lang.String` | `ELEMENT_pageHeader`
`static java.lang.String` | `ELEMENT_parameter` JRParameterFactory associated constants
`static java.lang.String` | `ELEMENT_parameterDescription`
`static java.lang.String` | `ELEMENT_parametersMapExpression`
`static java.lang.String` | `ELEMENT_pen` JRPenFactory associated constants
`static java.lang.String` | `ELEMENT_percentExpression`
`static java.lang.String` | `ELEMENT_pie3DChart`
`static java.lang.String` | `ELEMENT_pie3DPlot`
`static java.lang.String` | `ELEMENT_pieChart`
`static java.lang.String` | `ELEMENT_pieDataset`
`static java.lang.String` | `ELEMENT_piePlot`
`static java.lang.String` | `ELEMENT_pieSeries`
`static java.lang.String` | `ELEMENT_plot` JRChartPlotFactory associated constants
`static java.lang.String` | `ELEMENT_printWhenExpression`
`static java.lang.String` | `ELEMENT_property`
`static java.lang.String` | `ELEMENT_propertyExpression`
`static java.lang.String` | `ELEMENT_queryString` JRQueryFactory associated constants
`static java.lang.String` | `ELEMENT_rangeAxisMaxValueExpression`
`static java.lang.String` | `ELEMENT_rangeAxisMinValueExpression`
`static java.lang.String` | `ELEMENT_rectangle` JRRectangleFactory associated constants
`static java.lang.String` | `ELEMENT_reportElement` JRElementFactory associated constants
`static java.lang.String` | `ELEMENT_reportFont` JRReportFontFactory associated constants
`static java.lang.String` | `ELEMENT_returnValue` JRSubreportReturnValueFactory associated constants
`static java.lang.String` | `ELEMENT_rightPen`
`static java.lang.String` | `ELEMENT_scatterChart`
`static java.lang.String` | `ELEMENT_scatterPlot`
`static java.lang.String` | `ELEMENT_scriptlet` JRScriptletFactory associated constants
`static java.lang.String` | `ELEMENT_scriptletDescription`
`static java.lang.String` | `ELEMENT_sectionHyperlink`
`static java.lang.String` | `ELEMENT_seriesColor` JRSeriesColorFactory associated constants
`static java.lang.String` | `ELEMENT_seriesExpression`
`static java.lang.String` | `ELEMENT_sortField` JRSortFieldFactory associated constants
`static java.lang.String` | `ELEMENT_stackedAreaChart`
`static java.lang.String` | `ELEMENT_stackedBar3DChart`
`static java.lang.String` | `ELEMENT_stackedBarChart`
`static java.lang.String` | `ELEMENT_startDateExpression`
`static java.lang.String` | `ELEMENT_staticText` JRStaticTextFactory associated constants
`static java.lang.String` | `ELEMENT_style` JRStyleFactory associated constants
`static java.lang.String` | `ELEMENT_subDataset` JRDatasetFactory associated constants
`static java.lang.String` | `ELEMENT_subreport` JRSubreportFactory associated constants
`static java.lang.String` | `ELEMENT_subreportExpression` JRSubreportExpressionFactory associated constants
`static java.lang.String` | `ELEMENT_subreportParameter` JRSubreportParameterFactory associated constants
`static java.lang.String` | `ELEMENT_subreportParameterExpression`
`static java.lang.String` | `ELEMENT_subtaskExpression`
`static java.lang.String` | `ELEMENT_subtitleExpression`
`static java.lang.String` | `ELEMENT_summary`
`static java.lang.String` | `ELEMENT_taskExpression`
`static java.lang.String` | `ELEMENT_template`
`static java.lang.String` | `ELEMENT_text`
`static java.lang.String` | `ELEMENT_textContent`
`static java.lang.String` | `ELEMENT_textElement` JRTextElementFactory associated constants
`static java.lang.String` | `ELEMENT_textField` JRTextFieldFactory associated constants
`static java.lang.String` | `ELEMENT_textFieldExpression` JRTextFieldExpressionFactory associated constants
`static java.lang.String` | `ELEMENT_textTruncateSuffix`
`static java.lang.String` | `ELEMENT_thermometerChart`
`static java.lang.String` | `ELEMENT_tickLabelFont`
`static java.lang.String` | `ELEMENT_timeAxisFormat`
`static java.lang.String` | `ELEMENT_timeAxisLabelExpression`
`static java.lang.String` | `ELEMENT_timePeriodDataset`
`static java.lang.String` | `ELEMENT_timePeriodExpression`
`static java.lang.String` | `ELEMENT_timePeriodSeries`
`static java.lang.String` | `ELEMENT_timeSeries`
`static java.lang.String` | `ELEMENT_timeSeriesChart`
`static java.lang.String` | `ELEMENT_timeSeriesDataset`
`static java.lang.String` | `ELEMENT_timeSeriesPlot`
`static java.lang.String` | `ELEMENT_title`
`static java.lang.String` | `ELEMENT_titleExpression`
`static java.lang.String` | `ELEMENT_topPen`
`static java.lang.String` | `ELEMENT_valueAxisFormat`
`static java.lang.String` | `ELEMENT_valueAxisLabelExpression`
`static java.lang.String` | `ELEMENT_valueDataset`
`static java.lang.String` | `ELEMENT_valueDisplay`
`static java.lang.String` | `ELEMENT_valueExpression`
`static java.lang.String` | `ELEMENT_variable` JRVariableFactory associated constants
`static java.lang.String` | `ELEMENT_variableExpression`
`static java.lang.String` | `ELEMENT_volumeExpression`
`static java.lang.String` | `ELEMENT_xAxisFormat`
`static java.lang.String` | `ELEMENT_xAxisLabelExpression`
`static java.lang.String` | `ELEMENT_xValueExpression`
`static java.lang.String` | `ELEMENT_xyAreaChart`
`static java.lang.String` | `ELEMENT_xyBarChart`
`static java.lang.String` | `ELEMENT_xyDataset`
`static java.lang.String` | `ELEMENT_xyLineChart`
`static java.lang.String` | `ELEMENT_xySeries`
`static java.lang.String` | `ELEMENT_xyzDataset`
`static java.lang.String` | `ELEMENT_xyzSeries`
`static java.lang.String` | `ELEMENT_yAxisFormat`
`static java.lang.String` | `ELEMENT_yAxisLabelExpression`
`static java.lang.String` | `ELEMENT_yValueExpression`
`static java.lang.String` | `ELEMENT_zValueExpression`
`static java.lang.String` | `JASPERPRINT_DTD`
`static java.lang.String` | `JASPERPRINT_PUBLIC_ID`
`static java.lang.String` | `JASPERPRINT_SYSTEM_ID`
`static java.lang.String` | `JASPERREPORT_DTD`
`static java.lang.String` | `JASPERREPORT_PUBLIC_ID`
`static java.lang.String` | `JASPERREPORT_SYSTEM_ID`
`static java.lang.String` | `JASPERREPORT_XSD_DTD_COMPAT_RESOURCE` The internal location/resource name of the JRXML DTD compatibility XML schema.
`static java.lang.String` | `JASPERREPORT_XSD_RESOURCE` The internal location/resource name of the JRXML XML schema.
`static java.lang.String` | `JASPERREPORT_XSD_SYSTEM_ID` The system location of the JRXML XML schema.
`static java.lang.String` | `JASPERREPORTS_NAMESPACE` The namespace used by the JRXML XML schema.
`static java.lang.String` | `JASPERTEMPLATE_DTD` DTD location for template XMLs.
`static java.lang.String` | `JASPERTEMPLATE_PUBLIC_ID` Template XML public ID.
`static java.lang.String` | `JASPERTEMPLATE_SYSTEM_ID` Template XML system ID.
`static java.lang.String` | `LINE_BREAK_OFFSET_SEPARATOR`
`static java.lang.String` | `TEMPLATE_ELEMENT_INCLUDED_TEMPLATE`
`static java.lang.String` | `TEMPLATE_ELEMENT_ROOT`

Method Summary
`static java.util.Map` | `getAxisPositionMap()` Deprecated. Replaced by `AxisPositionEnum`
`static java.util.Map` | `getBandTypeMap()` Deprecated. Replaced by `BandTypeEnum`.
`static java.util.Map` | `getBreakTypeMap()` Deprecated. Replaced by `BreakTypeEnum`.
`static java.util.Map` | `getCalculationMap()` Deprecated. Replaced by `CalculationEnum`.
`static java.util.Map` | `getChartEdgeMap()` Deprecated. Replaced by `EdgeEnum`.
`static java.util.Map` | `getChartTitlePositionMap()` Deprecated. Replaced by `getChartEdgeMap()`.
`static java.awt.Color` | `getColor(java.lang.String strColor, java.awt.Color defaultColor)` Deprecated. Replaced by `JRColorUtil.getColor(String, Color)`.
`static java.util.Map` | `getColorMap()` Deprecated. Replaced by `ColorEnum`.
`static java.util.Map` | `getCrosstabBucketOrderMap()` Deprecated. Replaced by `SortOrderEnum`.
`static java.util.Map` | `getCrosstabColumnPositionMap()` Deprecated. Replaced by `CrosstabColumnPositionEnum`.
`static java.util.Map` | `getCrosstabPercentageMap()` Deprecated. Replaced by `CrosstabPercentageEnum`.
`static java.util.Map` | `getCrosstabRowPositionMap()` Deprecated. Replaced by `CrosstabRowPositionEnum`.
`static java.util.Map` | `getCrosstabTotalPositionMap()` Deprecated. Replaced by `CrosstabTotalPositionEnum`.
`static java.util.Map` | `getDirectionMap()` Deprecated. Replaced by `LineDirectionEnum`.
`static java.util.Map` | `getEvaluationTimeMap()` Deprecated. Replaced by `EvaluationTimeEnum`.
`static java.util.Map` | `getFillMap()` Deprecated. Replaced by `FillEnum`.
`static java.util.Map` | `getFooterPositionMap()` Deprecated. Replaced by `FooterPositionEnum`.
`static java.util.Map` | `getHorizontalAlignMap()` Deprecated. Replaced by `HorizontalAlignEnum`.
`static java.util.Map` | `getHyperlinkTargetMap()` Deprecated. Replaced by `JRHyperlinkHelper.getHyperlinkTarget(String)`.
`static java.util.Map` | `getHyperlinkTypeMap()` Deprecated. Replaced by `JRHyperlinkHelper.getHyperlinkType(String)`.
`static java.util.Map` | `getLineSpacingMap()` Deprecated. Replaced by `LineSpacingEnum`.
`static java.util.Map` | `getLineStyleMap()` Deprecated. Replaced by `LineStyleEnum`.
`static java.util.Map` | `getMeterShapeMap()` Deprecated. Replaced by `MeterShapeEnum`
`static java.util.Map` | `getModeMap()` Deprecated. Replaced by `ModeEnum`.
`static java.util.Map` | `getOnErrorTypeMap()` Deprecated. Replaced by `OnErrorTypeEnum`.
`static java.util.Map` | `getOrientationMap()` Deprecated. Replaced by `OrientationEnum`.
`static java.util.Map` | `getPenMap()` Deprecated. Replaced by `PenEnum`.
`static java.util.Map` | `getPlotOrientationMap()` Deprecated. Replaced by `PlotOrientationEnum`.
`static java.util.Map` | `getPositionTypeMap()` Deprecated. Replaced by `PositionTypeEnum`.
`static java.util.Map` | `getPrintOrderMap()` Deprecated. Replaced by `PrintOrderEnum`.
`static java.util.Map` | `getResetTypeMap()` Deprecated. Replaced by `ResetTypeEnum`.
`static java.util.Map` | `getRotationMap()` Deprecated. Replaced by `RotationEnum`.
`static java.util.Map` | `getRunDirectionMap()` Deprecated. Replaced by `RunDirectionEnum`.
`static java.util.Map` | `getScaleImageMap()` Deprecated. Replaced by `ScaleImageEnum`.
`static java.util.Map` | `getScaleTypeMap()` Deprecated. Replaced by `ScaleTypeEnum`.
`static java.util.Map` | `getSortOrderMap()` Deprecated. Replaced by `SortOrderEnum`.
`static java.util.Map` | `getSplitTypeMap()` Deprecated. Replaced by `SplitTypeEnum`.
`static java.util.Map` | `getStretchTypeMap()` Deprecated. Replaced by `StretchTypeEnum`.
`static java.util.Map` | `getTextAlignMap()` Deprecated. Replaced by `HorizontalAlignEnum`.
`static java.util.Map` | `getThermometerValueLocationMap()` Deprecated. Replaced by `ValueLocationEnum`
`static java.lang.Class` | `getTimePeriod(java.lang.String timePeriod)` Deprecated. Replaced by `TimePeriodEnum`.
`static java.lang.String` | `getTimePeriodName(java.lang.Class clazz)` Deprecated. Replaced by `TimePeriodEnum`.
`static java.util.Map` | `getVerticalAlignMap()` Deprecated. Replaced by `VerticalAlignEnum`.
`static java.util.Map` | `getWhenNoDataTypeMap()` Deprecated. Replaced by `WhenNoDataTypeEnum`.
`static java.util.Map` | `getWhenResourceMissingTypeMap()` Deprecated. Replaced by `WhenResourceMissingTypeEnum`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JASPERREPORT_PUBLIC_ID

    public static final java.lang.String JASPERREPORT_PUBLIC_ID

See Also:
  Constant Field Values

### JASPERREPORT_SYSTEM_ID

    public static final java.lang.String JASPERREPORT_SYSTEM_ID

See Also:
  Constant Field Values

### JASPERREPORT_DTD

    public static final java.lang.String JASPERREPORT_DTD

See Also:
  Constant Field Values

### JASPERPRINT_PUBLIC_ID

    public static final java.lang.String JASPERPRINT_PUBLIC_ID

See Also:
  Constant Field Values

### JASPERPRINT_SYSTEM_ID

    public static final java.lang.String JASPERPRINT_SYSTEM_ID

See Also:
  Constant Field Values

### JASPERPRINT_DTD

    public static final java.lang.String JASPERPRINT_DTD

See Also:
  Constant Field Values

### JASPERREPORTS_NAMESPACE

    public static final java.lang.String JASPERREPORTS_NAMESPACE

  The namespace used by the JRXML XML schema.

  See Also:
    Constant Field Values

### JASPERREPORT_XSD_SYSTEM_ID

    public static final java.lang.String JASPERREPORT_XSD_SYSTEM_ID

  The system location of the JRXML XML schema.

  See Also:
    Constant Field Values

### JASPERREPORT_XSD_RESOURCE

    public static final java.lang.String JASPERREPORT_XSD_RESOURCE

  The internal location/resource name of the JRXML XML schema.

  See Also:
    Constant Field Values

### JASPERREPORT_XSD_DTD_COMPAT_RESOURCE

    public static final java.lang.String JASPERREPORT_XSD_DTD_COMPAT_RESOURCE

  The internal location/resource name of the JRXML DTD compatibility XML schema.

  See Also:
    Constant Field Values

### JASPERTEMPLATE_PUBLIC_ID

    public static final java.lang.String JASPERTEMPLATE_PUBLIC_ID

  Template XML public ID.

  See Also:
    Constant Field Values

### JASPERTEMPLATE_SYSTEM_ID

    public static final java.lang.String JASPERTEMPLATE_SYSTEM_ID

  Template XML system ID.

  See Also:
    Constant Field Values

### JASPERTEMPLATE_DTD

    public static final java.lang.String JASPERTEMPLATE_DTD

  DTD location for template XMLs.

  See Also:
    Constant Field Values

### ELEMENT_jasperReport

    public static final java.lang.String ELEMENT_jasperReport

  JasperDesignFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_name

    public static final java.lang.String ATTRIBUTE_name

See Also:
  Constant Field Values

### ATTRIBUTE_language

    public static final java.lang.String ATTRIBUTE_language

See Also:
  Constant Field Values

### ATTRIBUTE_columnCount

    public static final java.lang.String ATTRIBUTE_columnCount

See Also:
  Constant Field Values

### ATTRIBUTE_printOrder

    public static final java.lang.String ATTRIBUTE_printOrder

See Also:
  Constant Field Values

### ATTRIBUTE_columnDirection

    public static final java.lang.String ATTRIBUTE_columnDirection

See Also:
  Constant Field Values

### ATTRIBUTE_pageWidth

    public static final java.lang.String ATTRIBUTE_pageWidth

See Also:
  Constant Field Values

### ATTRIBUTE_pageHeight

    public static final java.lang.String ATTRIBUTE_pageHeight

See Also:
  Constant Field Values

### ATTRIBUTE_orientation

    public static final java.lang.String ATTRIBUTE_orientation

See Also:
  Constant Field Values

### ATTRIBUTE_whenNoDataType

    public static final java.lang.String ATTRIBUTE_whenNoDataType

See Also:
  Constant Field Values

### ATTRIBUTE_columnWidth

    public static final java.lang.String ATTRIBUTE_columnWidth

See Also:
  Constant Field Values

### ATTRIBUTE_columnSpacing

    public static final java.lang.String ATTRIBUTE_columnSpacing

See Also:
  Constant Field Values

### ATTRIBUTE_leftMargin

    public static final java.lang.String ATTRIBUTE_leftMargin

See Also:
  Constant Field Values

### ATTRIBUTE_rightMargin

    public static final java.lang.String ATTRIBUTE_rightMargin

See Also:
  Constant Field Values

### ATTRIBUTE_topMargin

    public static final java.lang.String ATTRIBUTE_topMargin

See Also:
  Constant Field Values

### ATTRIBUTE_bottomMargin

    public static final java.lang.String ATTRIBUTE_bottomMargin

See Also:
  Constant Field Values

### ATTRIBUTE_isTitleNewPage

    public static final java.lang.String ATTRIBUTE_isTitleNewPage

See Also:
  Constant Field Values

### ATTRIBUTE_isSummaryNewPage

    public static final java.lang.String ATTRIBUTE_isSummaryNewPage

See Also:
  Constant Field Values

### ATTRIBUTE_isSummaryWithPageHeaderAndFooter

    public static final java.lang.String ATTRIBUTE_isSummaryWithPageHeaderAndFooter

See Also:
  Constant Field Values

### ATTRIBUTE_isFloatColumnFooter

    public static final java.lang.String ATTRIBUTE_isFloatColumnFooter

See Also:
  Constant Field Values

### ATTRIBUTE_scriptletClass

    public static final java.lang.String ATTRIBUTE_scriptletClass

See Also:
  Constant Field Values

### ATTRIBUTE_formatFactoryClass

    public static final java.lang.String ATTRIBUTE_formatFactoryClass

See Also:
  Constant Field Values

### ATTRIBUTE_resourceBundle

    public static final java.lang.String ATTRIBUTE_resourceBundle

See Also:
  Constant Field Values

### ATTRIBUTE_whenResourceMissingType

    public static final java.lang.String ATTRIBUTE_whenResourceMissingType

See Also:
  Constant Field Values

### ATTRIBUTE_isIgnorePagination

    public static final java.lang.String ATTRIBUTE_isIgnorePagination

See Also:
  Constant Field Values

### ATTRIBUTE_value

    public static final java.lang.String ATTRIBUTE_value

See Also:
  Constant Field Values

### ELEMENT_import

    public static final java.lang.String ELEMENT_import

See Also:
  Constant Field Values

### ELEMENT_background

    public static final java.lang.String ELEMENT_background

See Also:
  Constant Field Values

### ELEMENT_title

    public static final java.lang.String ELEMENT_title

See Also:
  Constant Field Values

### ELEMENT_pageHeader

    public static final java.lang.String ELEMENT_pageHeader

See Also:
  Constant Field Values

### ELEMENT_columnHeader

    public static final java.lang.String ELEMENT_columnHeader

See Also:
  Constant Field Values

### ELEMENT_detail

    public static final java.lang.String ELEMENT_detail

See Also:
  Constant Field Values

### ELEMENT_columnFooter

    public static final java.lang.String ELEMENT_columnFooter

See Also:
  Constant Field Values

### ELEMENT_pageFooter

    public static final java.lang.String ELEMENT_pageFooter

See Also:
  Constant Field Values

### ELEMENT_lastPageFooter

    public static final java.lang.String ELEMENT_lastPageFooter

See Also:
  Constant Field Values

### ELEMENT_summary

    public static final java.lang.String ELEMENT_summary

See Also:
  Constant Field Values

### ELEMENT_noData

    public static final java.lang.String ELEMENT_noData

See Also:
  Constant Field Values

### ELEMENT_property

    public static final java.lang.String ELEMENT_property

See Also:
  Constant Field Values

### ELEMENT_propertyExpression

    public static final java.lang.String ELEMENT_propertyExpression

See Also:
  Constant Field Values

### ELEMENT_page

    public static final java.lang.String ELEMENT_page

See Also:
  Constant Field Values

### ELEMENT_jasperPrint

    public static final java.lang.String ELEMENT_jasperPrint

  JasperPrintFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_locale

    public static final java.lang.String ATTRIBUTE_locale

See Also:
  Constant Field Values

### ATTRIBUTE_timezone

    public static final java.lang.String ATTRIBUTE_timezone

See Also:
  Constant Field Values

### ELEMENT_origin

    public static final java.lang.String ELEMENT_origin

  JROriginFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_report

    public static final java.lang.String ATTRIBUTE_report

See Also:
  Constant Field Values

### ATTRIBUTE_group

    public static final java.lang.String ATTRIBUTE_group

See Also:
  Constant Field Values

### ATTRIBUTE_band

    public static final java.lang.String ATTRIBUTE_band

See Also:
  Constant Field Values

### ELEMENT_band

    public static final java.lang.String ELEMENT_band

  JRBandFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_printWhenExpression

    public static final java.lang.String ELEMENT_printWhenExpression

See Also:
  Constant Field Values

### ATTRIBUTE_height

    public static final java.lang.String ATTRIBUTE_height

See Also:
  Constant Field Values

### ATTRIBUTE_isSplitAllowed

    public static final java.lang.String ATTRIBUTE_isSplitAllowed

See Also:
  Constant Field Values

### ATTRIBUTE_splitType

    public static final java.lang.String ATTRIBUTE_splitType

See Also:
  Constant Field Values

### ELEMENT_pen

    public static final java.lang.String ELEMENT_pen

  JRPenFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_lineWidth

    public static final java.lang.String ATTRIBUTE_lineWidth

See Also:
  Constant Field Values

### ATTRIBUTE_lineStyle

    public static final java.lang.String ATTRIBUTE_lineStyle

See Also:
  Constant Field Values

### ATTRIBUTE_lineColor

    public static final java.lang.String ATTRIBUTE_lineColor

See Also:
  Constant Field Values

### ELEMENT_box

    public static final java.lang.String ELEMENT_box

  JRBoxFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_topPen

    public static final java.lang.String ELEMENT_topPen

See Also:
  Constant Field Values

### ELEMENT_leftPen

    public static final java.lang.String ELEMENT_leftPen

See Also:
  Constant Field Values

### ELEMENT_bottomPen

    public static final java.lang.String ELEMENT_bottomPen

See Also:
  Constant Field Values

### ELEMENT_rightPen

    public static final java.lang.String ELEMENT_rightPen

See Also:
  Constant Field Values

### ATTRIBUTE_border

    public static final java.lang.String ATTRIBUTE_border

See Also:
  Constant Field Values

### ATTRIBUTE_borderColor

    public static final java.lang.String ATTRIBUTE_borderColor

See Also:
  Constant Field Values

### ATTRIBUTE_padding

    public static final java.lang.String ATTRIBUTE_padding

See Also:
  Constant Field Values

### ATTRIBUTE_topBorder

    public static final java.lang.String ATTRIBUTE_topBorder

See Also:
  Constant Field Values

### ATTRIBUTE_topBorderColor

    public static final java.lang.String ATTRIBUTE_topBorderColor

See Also:
  Constant Field Values

### ATTRIBUTE_topPadding

    public static final java.lang.String ATTRIBUTE_topPadding

See Also:
  Constant Field Values

### ATTRIBUTE_leftBorder

    public static final java.lang.String ATTRIBUTE_leftBorder

See Also:
  Constant Field Values

### ATTRIBUTE_leftBorderColor

    public static final java.lang.String ATTRIBUTE_leftBorderColor

See Also:
  Constant Field Values

### ATTRIBUTE_leftPadding

    public static final java.lang.String ATTRIBUTE_leftPadding

See Also:
  Constant Field Values

### ATTRIBUTE_bottomBorder

    public static final java.lang.String ATTRIBUTE_bottomBorder

See Also:
  Constant Field Values

### ATTRIBUTE_bottomBorderColor

    public static final java.lang.String ATTRIBUTE_bottomBorderColor

See Also:
  Constant Field Values

### ATTRIBUTE_bottomPadding

    public static final java.lang.String ATTRIBUTE_bottomPadding

See Also:
  Constant Field Values

### ATTRIBUTE_rightBorder

    public static final java.lang.String ATTRIBUTE_rightBorder

See Also:
  Constant Field Values

### ATTRIBUTE_rightBorderColor

    public static final java.lang.String ATTRIBUTE_rightBorderColor

See Also:
  Constant Field Values

### ATTRIBUTE_rightPadding

    public static final java.lang.String ATTRIBUTE_rightPadding

See Also:
  Constant Field Values

### ELEMENT_break

    public static final java.lang.String ELEMENT_break

  JRBreakFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_type

    public static final java.lang.String ATTRIBUTE_type

See Also:
  Constant Field Values

### ELEMENT_chart

    public static final java.lang.String ELEMENT_chart

  JRChartFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_chartTitle

    public static final java.lang.String ELEMENT_chartTitle

See Also:
  Constant Field Values

### ELEMENT_titleExpression

    public static final java.lang.String ELEMENT_titleExpression

See Also:
  Constant Field Values

### ELEMENT_chartSubtitle

    public static final java.lang.String ELEMENT_chartSubtitle

See Also:
  Constant Field Values

### ELEMENT_subtitleExpression

    public static final java.lang.String ELEMENT_subtitleExpression

See Also:
  Constant Field Values

### ELEMENT_chartLegend

    public static final java.lang.String ELEMENT_chartLegend

See Also:
  Constant Field Values

### ELEMENT_pieChart

    public static final java.lang.String ELEMENT_pieChart

See Also:
  Constant Field Values

### ELEMENT_pie3DChart

    public static final java.lang.String ELEMENT_pie3DChart

See Also:
  Constant Field Values

### ELEMENT_barChart

    public static final java.lang.String ELEMENT_barChart

See Also:
  Constant Field Values

### ELEMENT_bar3DChart

    public static final java.lang.String ELEMENT_bar3DChart

See Also:
  Constant Field Values

### ELEMENT_bubbleChart

    public static final java.lang.String ELEMENT_bubbleChart

See Also:
  Constant Field Values

### ELEMENT_stackedBarChart

    public static final java.lang.String ELEMENT_stackedBarChart

See Also:
  Constant Field Values

### ELEMENT_stackedBar3DChart

    public static final java.lang.String ELEMENT_stackedBar3DChart

See Also:
  Constant Field Values

### ELEMENT_lineChart

    public static final java.lang.String ELEMENT_lineChart

See Also:
  Constant Field Values

### ELEMENT_highLowChart

    public static final java.lang.String ELEMENT_highLowChart

See Also:
  Constant Field Values

### ELEMENT_candlestickChart

    public static final java.lang.String ELEMENT_candlestickChart

See Also:
  Constant Field Values

### ELEMENT_areaChart

    public static final java.lang.String ELEMENT_areaChart

See Also:
  Constant Field Values

### ELEMENT_scatterChart

    public static final java.lang.String ELEMENT_scatterChart

See Also:
  Constant Field Values

### ELEMENT_timeSeriesChart

    public static final java.lang.String ELEMENT_timeSeriesChart

See Also:
  Constant Field Values

### ELEMENT_xyAreaChart

    public static final java.lang.String ELEMENT_xyAreaChart

See Also:
  Constant Field Values

### ELEMENT_xyBarChart

    public static final java.lang.String ELEMENT_xyBarChart

See Also:
  Constant Field Values

### ELEMENT_xyLineChart

    public static final java.lang.String ELEMENT_xyLineChart

See Also:
  Constant Field Values

### ELEMENT_meterChart

    public static final java.lang.String ELEMENT_meterChart

See Also:
  Constant Field Values

### ELEMENT_thermometerChart

    public static final java.lang.String ELEMENT_thermometerChart

See Also:
  Constant Field Values

### ELEMENT_multiAxisChart

    public static final java.lang.String ELEMENT_multiAxisChart

See Also:
  Constant Field Values

### ELEMENT_stackedAreaChart

    public static final java.lang.String ELEMENT_stackedAreaChart

See Also:
  Constant Field Values

### ELEMENT_ganttChart

    public static final java.lang.String ELEMENT_ganttChart

See Also:
  Constant Field Values

### ATTRIBUTE_isShowLegend

    public static final java.lang.String ATTRIBUTE_isShowLegend

See Also:
  Constant Field Values

### ATTRIBUTE_evaluationTime

    public static final java.lang.String ATTRIBUTE_evaluationTime

See Also:
  Constant Field Values

### ATTRIBUTE_evaluationGroup

    public static final java.lang.String ATTRIBUTE_evaluationGroup

See Also:
  Constant Field Values

### ATTRIBUTE_bookmarkLevel

    public static final java.lang.String ATTRIBUTE_bookmarkLevel

See Also:
  Constant Field Values

### ATTRIBUTE_customizerClass

    public static final java.lang.String ATTRIBUTE_customizerClass

See Also:
  Constant Field Values

### ATTRIBUTE_renderType

    public static final java.lang.String ATTRIBUTE_renderType

See Also:
  Constant Field Values

### ATTRIBUTE_theme

    public static final java.lang.String ATTRIBUTE_theme

See Also:
  Constant Field Values

### ELEMENT_axisFormat

    public static final java.lang.String ELEMENT_axisFormat

  JRChartAxisFormatFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_labelFont

    public static final java.lang.String ELEMENT_labelFont

See Also:
  Constant Field Values

### ELEMENT_tickLabelFont

    public static final java.lang.String ELEMENT_tickLabelFont

See Also:
  Constant Field Values

### ATTRIBUTE_labelColor

    public static final java.lang.String ATTRIBUTE_labelColor

See Also:
  Constant Field Values

### ATTRIBUTE_tickLabelColor

    public static final java.lang.String ATTRIBUTE_tickLabelColor

See Also:
  Constant Field Values

### ATTRIBUTE_tickLabelMask

    public static final java.lang.String ATTRIBUTE_tickLabelMask

See Also:
  Constant Field Values

### ATTRIBUTE_verticalTickLabels

    public static final java.lang.String ATTRIBUTE_verticalTickLabels

See Also:
  Constant Field Values

### ATTRIBUTE_axisLineColor

    public static final java.lang.String ATTRIBUTE_axisLineColor

See Also:
  Constant Field Values

### ATTRIBUTE_textColor

    public static final java.lang.String ATTRIBUTE_textColor

  JRChartLegendFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_backgroundColor

    public static final java.lang.String ATTRIBUTE_backgroundColor

See Also:
  Constant Field Values

### ATTRIBUTE_position

    public static final java.lang.String ATTRIBUTE_position

  JRChartTitleFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_color

    public static final java.lang.String ATTRIBUTE_color

See Also:
  Constant Field Values

### ELEMENT_plot

    public static final java.lang.String ELEMENT_plot

  JRChartPlotFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_piePlot

    public static final java.lang.String ELEMENT_piePlot

See Also:
  Constant Field Values

### ELEMENT_pie3DPlot

    public static final java.lang.String ELEMENT_pie3DPlot

See Also:
  Constant Field Values

### ELEMENT_barPlot

    public static final java.lang.String ELEMENT_barPlot

See Also:
  Constant Field Values

### ELEMENT_bubblePlot

    public static final java.lang.String ELEMENT_bubblePlot

See Also:
  Constant Field Values

### ELEMENT_linePlot

    public static final java.lang.String ELEMENT_linePlot

See Also:
  Constant Field Values

### ELEMENT_timeSeriesPlot

    public static final java.lang.String ELEMENT_timeSeriesPlot

See Also:
  Constant Field Values

### ELEMENT_bar3DPlot

    public static final java.lang.String ELEMENT_bar3DPlot

See Also:
  Constant Field Values

### ELEMENT_highLowPlot

    public static final java.lang.String ELEMENT_highLowPlot

See Also:
  Constant Field Values

### ELEMENT_candlestickPlot

    public static final java.lang.String ELEMENT_candlestickPlot

See Also:
  Constant Field Values

### ELEMENT_areaPlot

    public static final java.lang.String ELEMENT_areaPlot

See Also:
  Constant Field Values

### ELEMENT_scatterPlot

    public static final java.lang.String ELEMENT_scatterPlot

See Also:
  Constant Field Values

### ELEMENT_multiAxisPlot

    public static final java.lang.String ELEMENT_multiAxisPlot

See Also:
  Constant Field Values

### ELEMENT_valueDisplay

    public static final java.lang.String ELEMENT_valueDisplay

See Also:
  Constant Field Values

### ELEMENT_itemLabel

    public static final java.lang.String ELEMENT_itemLabel

See Also:
  Constant Field Values

### ELEMENT_dataRange

    public static final java.lang.String ELEMENT_dataRange

See Also:
  Constant Field Values

### ELEMENT_meterInterval

    public static final java.lang.String ELEMENT_meterInterval

See Also:
  Constant Field Values

### ELEMENT_categoryAxisFormat

    public static final java.lang.String ELEMENT_categoryAxisFormat

See Also:
  Constant Field Values

### ELEMENT_valueAxisFormat

    public static final java.lang.String ELEMENT_valueAxisFormat

See Also:
  Constant Field Values

### ELEMENT_xAxisFormat

    public static final java.lang.String ELEMENT_xAxisFormat

See Also:
  Constant Field Values

### ELEMENT_yAxisFormat

    public static final java.lang.String ELEMENT_yAxisFormat

See Also:
  Constant Field Values

### ELEMENT_timeAxisFormat

    public static final java.lang.String ELEMENT_timeAxisFormat

See Also:
  Constant Field Values

### ELEMENT_lowExpression

    public static final java.lang.String ELEMENT_lowExpression

See Also:
  Constant Field Values

### ELEMENT_highExpression

    public static final java.lang.String ELEMENT_highExpression

See Also:
  Constant Field Values

### ELEMENT_categoryAxisLabelExpression

    public static final java.lang.String ELEMENT_categoryAxisLabelExpression

See Also:
  Constant Field Values

### ELEMENT_valueAxisLabelExpression

    public static final java.lang.String ELEMENT_valueAxisLabelExpression

See Also:
  Constant Field Values

### ELEMENT_domainAxisMinValueExpression

    public static final java.lang.String ELEMENT_domainAxisMinValueExpression

See Also:
  Constant Field Values

### ELEMENT_domainAxisMaxValueExpression

    public static final java.lang.String ELEMENT_domainAxisMaxValueExpression

See Also:
  Constant Field Values

### ELEMENT_rangeAxisMinValueExpression

    public static final java.lang.String ELEMENT_rangeAxisMinValueExpression

See Also:
  Constant Field Values

### ELEMENT_rangeAxisMaxValueExpression

    public static final java.lang.String ELEMENT_rangeAxisMaxValueExpression

See Also:
  Constant Field Values

### ELEMENT_xAxisLabelExpression

    public static final java.lang.String ELEMENT_xAxisLabelExpression

See Also:
  Constant Field Values

### ELEMENT_yAxisLabelExpression

    public static final java.lang.String ELEMENT_yAxisLabelExpression

See Also:
  Constant Field Values

### ELEMENT_timeAxisLabelExpression

    public static final java.lang.String ELEMENT_timeAxisLabelExpression

See Also:
  Constant Field Values

### ELEMENT_taskExpression

    public static final java.lang.String ELEMENT_taskExpression

See Also:
  Constant Field Values

### ELEMENT_subtaskExpression

    public static final java.lang.String ELEMENT_subtaskExpression

See Also:
  Constant Field Values

### ELEMENT_percentExpression

    public static final java.lang.String ELEMENT_percentExpression

See Also:
  Constant Field Values

### ATTRIBUTE_backgroundAlpha

    public static final java.lang.String ATTRIBUTE_backgroundAlpha

See Also:
  Constant Field Values

### ATTRIBUTE_foregroundAlpha

    public static final java.lang.String ATTRIBUTE_foregroundAlpha

See Also:
  Constant Field Values

### ATTRIBUTE_labelRotation

    public static final java.lang.String ATTRIBUTE_labelRotation

See Also:
  Constant Field Values

### ATTRIBUTE_mask

    public static final java.lang.String ATTRIBUTE_mask

See Also:
  Constant Field Values

### ATTRIBUTE_label

    public static final java.lang.String ATTRIBUTE_label

See Also:
  Constant Field Values

### ATTRIBUTE_alpha

    public static final java.lang.String ATTRIBUTE_alpha

See Also:
  Constant Field Values

### ATTRIBUTE_depthFactor

    public static final java.lang.String ATTRIBUTE_depthFactor

See Also:
  Constant Field Values

### ATTRIBUTE_isShowLabels

    public static final java.lang.String ATTRIBUTE_isShowLabels

See Also:
  Constant Field Values

### ATTRIBUTE_isShowTickLabels

    public static final java.lang.String ATTRIBUTE_isShowTickLabels

See Also:
  Constant Field Values

### ATTRIBUTE_scaleType

    public static final java.lang.String ATTRIBUTE_scaleType

See Also:
  Constant Field Values

### ATTRIBUTE_isShowTickMarks

    public static final java.lang.String ATTRIBUTE_isShowTickMarks

See Also:
  Constant Field Values

### ATTRIBUTE_isShowLines

    public static final java.lang.String ATTRIBUTE_isShowLines

See Also:
  Constant Field Values

### ATTRIBUTE_isShowShapes

    public static final java.lang.String ATTRIBUTE_isShowShapes

See Also:
  Constant Field Values

### ATTRIBUTE_xOffset

    public static final java.lang.String ATTRIBUTE_xOffset

See Also:
  Constant Field Values

### ATTRIBUTE_yOffset

    public static final java.lang.String ATTRIBUTE_yOffset

See Also:
  Constant Field Values

### ATTRIBUTE_isShowOpenTicks

    public static final java.lang.String ATTRIBUTE_isShowOpenTicks

See Also:
  Constant Field Values

### ATTRIBUTE_isShowCloseTicks

    public static final java.lang.String ATTRIBUTE_isShowCloseTicks

See Also:
  Constant Field Values

### ATTRIBUTE_isShowVolume

    public static final java.lang.String ATTRIBUTE_isShowVolume

See Also:
  Constant Field Values

### ATTRIBUTE_isCircular

    public static final java.lang.String ATTRIBUTE_isCircular

See Also:
  Constant Field Values

### ATTRIBUTE_labelFormat

    public static final java.lang.String ATTRIBUTE_labelFormat

See Also:
  Constant Field Values

### ATTRIBUTE_legendLabelFormat

    public static final java.lang.String ATTRIBUTE_legendLabelFormat

See Also:
  Constant Field Values

### ELEMENT_seriesColor

    public static final java.lang.String ELEMENT_seriesColor

  JRSeriesColorFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_seriesOrder

    public static final java.lang.String ATTRIBUTE_seriesOrder

See Also:
  Constant Field Values

### ELEMENT_conditionalStyle

    public static final java.lang.String ELEMENT_conditionalStyle

  JRConditionalStyleFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_conditionExpression

    public static final java.lang.String ELEMENT_conditionExpression

See Also:
  Constant Field Values

### ELEMENT_style

    public static final java.lang.String ELEMENT_style

  JRStyleFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_isDefault

    public static final java.lang.String ATTRIBUTE_isDefault

See Also:
  Constant Field Values

### ATTRIBUTE_mode

    public static final java.lang.String ATTRIBUTE_mode

See Also:
  Constant Field Values

### ATTRIBUTE_forecolor

    public static final java.lang.String ATTRIBUTE_forecolor

See Also:
  Constant Field Values

### ATTRIBUTE_backcolor

    public static final java.lang.String ATTRIBUTE_backcolor

See Also:
  Constant Field Values

### ATTRIBUTE_style

    public static final java.lang.String ATTRIBUTE_style

See Also:
  Constant Field Values

### ATTRIBUTE_origin

    public static final java.lang.String ATTRIBUTE_origin

See Also:
  Constant Field Values

### ATTRIBUTE_radius

    public static final java.lang.String ATTRIBUTE_radius

See Also:
  Constant Field Values

### ATTRIBUTE_rotation

    public static final java.lang.String ATTRIBUTE_rotation

See Also:
  Constant Field Values

### ATTRIBUTE_lineSpacing

    public static final java.lang.String ATTRIBUTE_lineSpacing

See Also:
  Constant Field Values

### ATTRIBUTE_isStyledText

    public static final java.lang.String ATTRIBUTE_isStyledText

See Also:
  Constant Field Values

### ATTRIBUTE_markup

    public static final java.lang.String ATTRIBUTE_markup

See Also:
  Constant Field Values

### ATTRIBUTE_pattern

    public static final java.lang.String ATTRIBUTE_pattern

See Also:
  Constant Field Values

### ATTRIBUTE_isBlankWhenNull

    public static final java.lang.String ATTRIBUTE_isBlankWhenNull

See Also:
  Constant Field Values

### ATTRIBUTE_fontSize

    public static final java.lang.String ATTRIBUTE_fontSize

See Also:
  Constant Field Values

### ELEMENT_subDataset

    public static final java.lang.String ELEMENT_subDataset

  JRDatasetFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_filterExpression

    public static final java.lang.String ELEMENT_filterExpression

See Also:
  Constant Field Values

### ELEMENT_datasetRun

    public static final java.lang.String ELEMENT_datasetRun

  JRDatasetRunFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_parametersMapExpression

    public static final java.lang.String ELEMENT_parametersMapExpression

See Also:
  Constant Field Values

### ELEMENT_connectionExpression

    public static final java.lang.String ELEMENT_connectionExpression

See Also:
  Constant Field Values

### ELEMENT_dataSourceExpression

    public static final java.lang.String ELEMENT_dataSourceExpression

See Also:
  Constant Field Values

### ATTRIBUTE_subDataset

    public static final java.lang.String ATTRIBUTE_subDataset

See Also:
  Constant Field Values

### ELEMENT_datasetParameterExpression

    public static final java.lang.String ELEMENT_datasetParameterExpression

  JRDatasetRunParameterExpressionFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_datasetParameter

    public static final java.lang.String ELEMENT_datasetParameter

  JRDatasetRunParameterFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_dataset

    public static final java.lang.String ELEMENT_dataset

  JRElementDatasetFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_categoryDataset

    public static final java.lang.String ELEMENT_categoryDataset

See Also:
  Constant Field Values

### ELEMENT_timeSeriesDataset

    public static final java.lang.String ELEMENT_timeSeriesDataset

See Also:
  Constant Field Values

### ELEMENT_timePeriodDataset

    public static final java.lang.String ELEMENT_timePeriodDataset

See Also:
  Constant Field Values

### ELEMENT_xyzDataset

    public static final java.lang.String ELEMENT_xyzDataset

See Also:
  Constant Field Values

### ELEMENT_xyDataset

    public static final java.lang.String ELEMENT_xyDataset

See Also:
  Constant Field Values

### ELEMENT_pieDataset

    public static final java.lang.String ELEMENT_pieDataset

See Also:
  Constant Field Values

### ELEMENT_valueDataset

    public static final java.lang.String ELEMENT_valueDataset

See Also:
  Constant Field Values

### ELEMENT_highLowDataset

    public static final java.lang.String ELEMENT_highLowDataset

See Also:
  Constant Field Values

### ELEMENT_ganttDataset

    public static final java.lang.String ELEMENT_ganttDataset

See Also:
  Constant Field Values

### ELEMENT_pieSeries

    public static final java.lang.String ELEMENT_pieSeries

See Also:
  Constant Field Values

### ELEMENT_categorySeries

    public static final java.lang.String ELEMENT_categorySeries

See Also:
  Constant Field Values

### ELEMENT_xyzSeries

    public static final java.lang.String ELEMENT_xyzSeries

See Also:
  Constant Field Values

### ELEMENT_xySeries

    public static final java.lang.String ELEMENT_xySeries

See Also:
  Constant Field Values

### ELEMENT_timeSeries

    public static final java.lang.String ELEMENT_timeSeries

See Also:
  Constant Field Values

### ELEMENT_timePeriodSeries

    public static final java.lang.String ELEMENT_timePeriodSeries

See Also:
  Constant Field Values

### ELEMENT_ganttSeries

    public static final java.lang.String ELEMENT_ganttSeries

See Also:
  Constant Field Values

### ELEMENT_incrementWhenExpression

    public static final java.lang.String ELEMENT_incrementWhenExpression

See Also:
  Constant Field Values

### ELEMENT_keyExpression

    public static final java.lang.String ELEMENT_keyExpression

See Also:
  Constant Field Values

### ELEMENT_valueExpression

    public static final java.lang.String ELEMENT_valueExpression

See Also:
  Constant Field Values

### ELEMENT_labelExpression

    public static final java.lang.String ELEMENT_labelExpression

See Also:
  Constant Field Values

### ELEMENT_otherKeyExpression

    public static final java.lang.String ELEMENT_otherKeyExpression

See Also:
  Constant Field Values

### ELEMENT_otherLabelExpression

    public static final java.lang.String ELEMENT_otherLabelExpression

See Also:
  Constant Field Values

### ELEMENT_seriesExpression

    public static final java.lang.String ELEMENT_seriesExpression

See Also:
  Constant Field Values

### ELEMENT_categoryExpression

    public static final java.lang.String ELEMENT_categoryExpression

See Also:
  Constant Field Values

### ELEMENT_xValueExpression

    public static final java.lang.String ELEMENT_xValueExpression

See Also:
  Constant Field Values

### ELEMENT_yValueExpression

    public static final java.lang.String ELEMENT_yValueExpression

See Also:
  Constant Field Values

### ELEMENT_zValueExpression

    public static final java.lang.String ELEMENT_zValueExpression

See Also:
  Constant Field Values

### ELEMENT_timePeriodExpression

    public static final java.lang.String ELEMENT_timePeriodExpression

See Also:
  Constant Field Values

### ELEMENT_startDateExpression

    public static final java.lang.String ELEMENT_startDateExpression

See Also:
  Constant Field Values

### ELEMENT_endDateExpression

    public static final java.lang.String ELEMENT_endDateExpression

See Also:
  Constant Field Values

### ELEMENT_dateExpression

    public static final java.lang.String ELEMENT_dateExpression

See Also:
  Constant Field Values

### ELEMENT_openExpression

    public static final java.lang.String ELEMENT_openExpression

See Also:
  Constant Field Values

### ELEMENT_closeExpression

    public static final java.lang.String ELEMENT_closeExpression

See Also:
  Constant Field Values

### ELEMENT_volumeExpression

    public static final java.lang.String ELEMENT_volumeExpression

See Also:
  Constant Field Values

### ATTRIBUTE_maxCount

    public static final java.lang.String ATTRIBUTE_maxCount

See Also:
  Constant Field Values

### ATTRIBUTE_minPercentage

    public static final java.lang.String ATTRIBUTE_minPercentage

See Also:
  Constant Field Values

### ATTRIBUTE_timePeriod

    public static final java.lang.String ATTRIBUTE_timePeriod

See Also:
  Constant Field Values

### ELEMENT_reportElement

    public static final java.lang.String ELEMENT_reportElement

  JRElementFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_key

    public static final java.lang.String ATTRIBUTE_key

See Also:
  Constant Field Values

### ATTRIBUTE_positionType

    public static final java.lang.String ATTRIBUTE_positionType

See Also:
  Constant Field Values

### ATTRIBUTE_stretchType

    public static final java.lang.String ATTRIBUTE_stretchType

See Also:
  Constant Field Values

### ATTRIBUTE_isPrintRepeatedValues

    public static final java.lang.String ATTRIBUTE_isPrintRepeatedValues

See Also:
  Constant Field Values

### ATTRIBUTE_x

    public static final java.lang.String ATTRIBUTE_x

See Also:
  Constant Field Values

### ATTRIBUTE_y

    public static final java.lang.String ATTRIBUTE_y

See Also:
  Constant Field Values

### ATTRIBUTE_width

    public static final java.lang.String ATTRIBUTE_width

See Also:
  Constant Field Values

### ATTRIBUTE_isRemoveLineWhenBlank

    public static final java.lang.String ATTRIBUTE_isRemoveLineWhenBlank

See Also:
  Constant Field Values

### ATTRIBUTE_isPrintInFirstWholeBand

    public static final java.lang.String ATTRIBUTE_isPrintInFirstWholeBand

See Also:
  Constant Field Values

### ATTRIBUTE_isPrintWhenDetailOverflows

    public static final java.lang.String ATTRIBUTE_isPrintWhenDetailOverflows

See Also:
  Constant Field Values

### ATTRIBUTE_printWhenGroupChanges

    public static final java.lang.String ATTRIBUTE_printWhenGroupChanges

See Also:
  Constant Field Values

### ELEMENT_elementGroup

    public static final java.lang.String ELEMENT_elementGroup

  JRElementGroupFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_ellipse

    public static final java.lang.String ELEMENT_ellipse

  JREllipseFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_field

    public static final java.lang.String ELEMENT_field

  JRFieldFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_fieldDescription

    public static final java.lang.String ELEMENT_fieldDescription

See Also:
  Constant Field Values

### ATTRIBUTE_class

    public static final java.lang.String ATTRIBUTE_class

See Also:
  Constant Field Values

### ATTRIBUTE_nestedType

    public static final java.lang.String ATTRIBUTE_nestedType

See Also:
  Constant Field Values

### ELEMENT_font

    public static final java.lang.String ELEMENT_font

  JRFieldFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_reportFont

    public static final java.lang.String ATTRIBUTE_reportFont

See Also:
  Constant Field Values

### ATTRIBUTE_fontName

    public static final java.lang.String ATTRIBUTE_fontName

See Also:
  Constant Field Values

### ATTRIBUTE_isBold

    public static final java.lang.String ATTRIBUTE_isBold

See Also:
  Constant Field Values

### ATTRIBUTE_isItalic

    public static final java.lang.String ATTRIBUTE_isItalic

See Also:
  Constant Field Values

### ATTRIBUTE_isUnderline

    public static final java.lang.String ATTRIBUTE_isUnderline

See Also:
  Constant Field Values

### ATTRIBUTE_isStrikeThrough

    public static final java.lang.String ATTRIBUTE_isStrikeThrough

See Also:
  Constant Field Values

### ATTRIBUTE_size

    public static final java.lang.String ATTRIBUTE_size

See Also:
  Constant Field Values

### ATTRIBUTE_pdfFontName

    public static final java.lang.String ATTRIBUTE_pdfFontName

See Also:
  Constant Field Values

### ATTRIBUTE_pdfEncoding

    public static final java.lang.String ATTRIBUTE_pdfEncoding

See Also:
  Constant Field Values

### ATTRIBUTE_isPdfEmbedded

    public static final java.lang.String ATTRIBUTE_isPdfEmbedded

See Also:
  Constant Field Values

### ELEMENT_frame

    public static final java.lang.String ELEMENT_frame

  JRFrameFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_graphicElement

    public static final java.lang.String ELEMENT_graphicElement

  JRGraphicElementFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_pen

    public static final java.lang.String ATTRIBUTE_pen

See Also:
  Constant Field Values

### ATTRIBUTE_fill

    public static final java.lang.String ATTRIBUTE_fill

See Also:
  Constant Field Values

### ELEMENT_group

    public static final java.lang.String ELEMENT_group

  JRGroupFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_groupExpression

    public static final java.lang.String ELEMENT_groupExpression

See Also:
  Constant Field Values

### ELEMENT_groupHeader

    public static final java.lang.String ELEMENT_groupHeader

See Also:
  Constant Field Values

### ELEMENT_groupFooter

    public static final java.lang.String ELEMENT_groupFooter

See Also:
  Constant Field Values

### ATTRIBUTE_isStartNewColumn

    public static final java.lang.String ATTRIBUTE_isStartNewColumn

See Also:
  Constant Field Values

### ATTRIBUTE_isStartNewPage

    public static final java.lang.String ATTRIBUTE_isStartNewPage

See Also:
  Constant Field Values

### ATTRIBUTE_isResetPageNumber

    public static final java.lang.String ATTRIBUTE_isResetPageNumber

See Also:
  Constant Field Values

### ATTRIBUTE_isReprintHeaderOnEachPage

    public static final java.lang.String ATTRIBUTE_isReprintHeaderOnEachPage

See Also:
  Constant Field Values

### ATTRIBUTE_minHeightToStartNewPage

    public static final java.lang.String ATTRIBUTE_minHeightToStartNewPage

See Also:
  Constant Field Values

### ATTRIBUTE_footerPosition

    public static final java.lang.String ATTRIBUTE_footerPosition

See Also:
  Constant Field Values

### ATTRIBUTE_keepTogether

    public static final java.lang.String ATTRIBUTE_keepTogether

See Also:
  Constant Field Values

### ELEMENT_hyperlinkTooltipExpression

    public static final java.lang.String ELEMENT_hyperlinkTooltipExpression

  JRHyperlinkFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_sectionHyperlink

    public static final java.lang.String ELEMENT_sectionHyperlink

See Also:
  Constant Field Values

### ELEMENT_otherSectionHyperlink

    public static final java.lang.String ELEMENT_otherSectionHyperlink

See Also:
  Constant Field Values

### ELEMENT_itemHyperlink

    public static final java.lang.String ELEMENT_itemHyperlink

See Also:
  Constant Field Values

### ELEMENT_anchorNameExpression

    public static final java.lang.String ELEMENT_anchorNameExpression

See Also:
  Constant Field Values

### ELEMENT_hyperlinkReferenceExpression

    public static final java.lang.String ELEMENT_hyperlinkReferenceExpression

See Also:
  Constant Field Values

### ELEMENT_hyperlinkAnchorExpression

    public static final java.lang.String ELEMENT_hyperlinkAnchorExpression

See Also:
  Constant Field Values

### ELEMENT_hyperlinkPageExpression

    public static final java.lang.String ELEMENT_hyperlinkPageExpression

See Also:
  Constant Field Values

### ATTRIBUTE_hyperlinkType

    public static final java.lang.String ATTRIBUTE_hyperlinkType

See Also:
  Constant Field Values

### ATTRIBUTE_hyperlinkTarget

    public static final java.lang.String ATTRIBUTE_hyperlinkTarget

See Also:
  Constant Field Values

### ELEMENT_hyperlinkParameterExpression

    public static final java.lang.String ELEMENT_hyperlinkParameterExpression

  JRHyperlinkFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_hyperlinkParameter

    public static final java.lang.String ELEMENT_hyperlinkParameter

  JRHyperlinkParameterFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_image

    public static final java.lang.String ELEMENT_image

  JRImageFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_imageSource

    public static final java.lang.String ELEMENT_imageSource

See Also:
  Constant Field Values

### ELEMENT_imageExpression

    public static final java.lang.String ELEMENT_imageExpression

See Also:
  Constant Field Values

### ATTRIBUTE_scaleImage

    public static final java.lang.String ATTRIBUTE_scaleImage

See Also:
  Constant Field Values

### ATTRIBUTE_hAlign

    public static final java.lang.String ATTRIBUTE_hAlign

See Also:
  Constant Field Values

### ATTRIBUTE_vAlign

    public static final java.lang.String ATTRIBUTE_vAlign

See Also:
  Constant Field Values

### ATTRIBUTE_isUsingCache

    public static final java.lang.String ATTRIBUTE_isUsingCache

See Also:
  Constant Field Values

### ATTRIBUTE_isLazy

    public static final java.lang.String ATTRIBUTE_isLazy

See Also:
  Constant Field Values

### ATTRIBUTE_onErrorType

    public static final java.lang.String ATTRIBUTE_onErrorType

See Also:
  Constant Field Values

### ATTRIBUTE_runToBottom

    public static final java.lang.String ATTRIBUTE_runToBottom

See Also:
  Constant Field Values

### ELEMENT_line

    public static final java.lang.String ELEMENT_line

  JRLineFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_direction

    public static final java.lang.String ATTRIBUTE_direction

See Also:
  Constant Field Values

### ELEMENT_scriptlet

    public static final java.lang.String ELEMENT_scriptlet

  JRScriptletFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_scriptletDescription

    public static final java.lang.String ELEMENT_scriptletDescription

See Also:
  Constant Field Values

### ELEMENT_parameter

    public static final java.lang.String ELEMENT_parameter

  JRParameterFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_parameterDescription

    public static final java.lang.String ELEMENT_parameterDescription

See Also:
  Constant Field Values

### ELEMENT_defaultValueExpression

    public static final java.lang.String ELEMENT_defaultValueExpression

See Also:
  Constant Field Values

### ATTRIBUTE_isForPrompting

    public static final java.lang.String ATTRIBUTE_isForPrompting

See Also:
  Constant Field Values

### ELEMENT_hyperlinkParameterValue

    public static final java.lang.String ELEMENT_hyperlinkParameterValue

  JRPrintHyperlinkParameterValueFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_anchorName

    public static final java.lang.String ATTRIBUTE_anchorName

  JRPrintImageFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_hyperlinkReference

    public static final java.lang.String ATTRIBUTE_hyperlinkReference

See Also:
  Constant Field Values

### ATTRIBUTE_hyperlinkAnchor

    public static final java.lang.String ATTRIBUTE_hyperlinkAnchor

See Also:
  Constant Field Values

### ATTRIBUTE_hyperlinkPage

    public static final java.lang.String ATTRIBUTE_hyperlinkPage

See Also:
  Constant Field Values

### ATTRIBUTE_hyperlinkTooltip

    public static final java.lang.String ATTRIBUTE_hyperlinkTooltip

See Also:
  Constant Field Values

### ATTRIBUTE_isEmbedded

    public static final java.lang.String ATTRIBUTE_isEmbedded

  JRPrintImageSourceFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_textAlignment

    public static final java.lang.String ATTRIBUTE_textAlignment

  JRPrintTextFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_verticalAlignment

    public static final java.lang.String ATTRIBUTE_verticalAlignment

See Also:
  Constant Field Values

### ATTRIBUTE_runDirection

    public static final java.lang.String ATTRIBUTE_runDirection

See Also:
  Constant Field Values

### ATTRIBUTE_textHeight

    public static final java.lang.String ATTRIBUTE_textHeight

See Also:
  Constant Field Values

### ATTRIBUTE_lineSpacingFactor

    public static final java.lang.String ATTRIBUTE_lineSpacingFactor

See Also:
  Constant Field Values

### ATTRIBUTE_leadingOffset

    public static final java.lang.String ATTRIBUTE_leadingOffset

See Also:
  Constant Field Values

### ATTRIBUTE_valueClass

    public static final java.lang.String ATTRIBUTE_valueClass

See Also:
  Constant Field Values

### ELEMENT_queryString

    public static final java.lang.String ELEMENT_queryString

  JRQueryFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_rectangle

    public static final java.lang.String ELEMENT_rectangle

  JRRectangleFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_sortField

    public static final java.lang.String ELEMENT_sortField

  JRSortFieldFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_order

    public static final java.lang.String ATTRIBUTE_order

See Also:
  Constant Field Values

### ELEMENT_staticText

    public static final java.lang.String ELEMENT_staticText

  JRStaticTextFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_text

    public static final java.lang.String ELEMENT_text

See Also:
  Constant Field Values

### ELEMENT_textContent

    public static final java.lang.String ELEMENT_textContent

See Also:
  Constant Field Values

### ATTRIBUTE_truncateIndex

    public static final java.lang.String ATTRIBUTE_truncateIndex

See Also:
  Constant Field Values

### ELEMENT_textTruncateSuffix

    public static final java.lang.String ELEMENT_textTruncateSuffix

See Also:
  Constant Field Values

### ELEMENT_lineBreakOffsets

    public static final java.lang.String ELEMENT_lineBreakOffsets

See Also:
  Constant Field Values

### LINE_BREAK_OFFSET_SEPARATOR

    public static final java.lang.String LINE_BREAK_OFFSET_SEPARATOR

See Also:
  Constant Field Values

### ELEMENT_subreportExpression

    public static final java.lang.String ELEMENT_subreportExpression

  JRSubreportExpressionFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_subreport

    public static final java.lang.String ELEMENT_subreport

  JRSubreportFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_subreportParameter

    public static final java.lang.String ELEMENT_subreportParameter

  JRSubreportParameterFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_subreportParameterExpression

    public static final java.lang.String ELEMENT_subreportParameterExpression

See Also:
  Constant Field Values

### ELEMENT_returnValue

    public static final java.lang.String ELEMENT_returnValue

  JRSubreportReturnValueFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_subreportVariable

    public static final java.lang.String ATTRIBUTE_subreportVariable

See Also:
  Constant Field Values

### ATTRIBUTE_toVariable

    public static final java.lang.String ATTRIBUTE_toVariable

See Also:
  Constant Field Values

### ELEMENT_textElement

    public static final java.lang.String ELEMENT_textElement

  JRTextElementFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_textFieldExpression

    public static final java.lang.String ELEMENT_textFieldExpression

  JRTextFieldExpressionFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_textField

    public static final java.lang.String ELEMENT_textField

  JRTextFieldFactory associated constants

  See Also:
    Constant Field Values

### ATTRIBUTE_isStretchWithOverflow

    public static final java.lang.String ATTRIBUTE_isStretchWithOverflow

See Also:
  Constant Field Values

### ELEMENT_variable

    public static final java.lang.String ELEMENT_variable

  JRVariableFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_variableExpression

    public static final java.lang.String ELEMENT_variableExpression

See Also:
  Constant Field Values

### ELEMENT_initialValueExpression

    public static final java.lang.String ELEMENT_initialValueExpression

See Also:
  Constant Field Values

### ATTRIBUTE_resetType

    public static final java.lang.String ATTRIBUTE_resetType

See Also:
  Constant Field Values

### ATTRIBUTE_resetGroup

    public static final java.lang.String ATTRIBUTE_resetGroup

See Also:
  Constant Field Values

### ATTRIBUTE_incrementType

    public static final java.lang.String ATTRIBUTE_incrementType

See Also:
  Constant Field Values

### ATTRIBUTE_incrementGroup

    public static final java.lang.String ATTRIBUTE_incrementGroup

See Also:
  Constant Field Values

### ATTRIBUTE_calculation

    public static final java.lang.String ATTRIBUTE_calculation

See Also:
  Constant Field Values

### ATTRIBUTE_incrementerFactoryClass

    public static final java.lang.String ATTRIBUTE_incrementerFactoryClass

See Also:
  Constant Field Values

### ELEMENT_reportFont

    public static final java.lang.String ELEMENT_reportFont

  JRReportFontFactory associated constants

  See Also:
    Constant Field Values

### ELEMENT_template

    public static final java.lang.String ELEMENT_template

See Also:
  Constant Field Values

### TEMPLATE_ELEMENT_ROOT

    public static final java.lang.String TEMPLATE_ELEMENT_ROOT

See Also:
  Constant Field Values

### TEMPLATE_ELEMENT_INCLUDED_TEMPLATE

    public static final java.lang.String TEMPLATE_ELEMENT_INCLUDED_TEMPLATE

See Also:
  Constant Field Values

### ELEMENT_componentElement

    public static final java.lang.String ELEMENT_componentElement

See Also:
  Constant Field Values

### ELEMENT_genericElement

    public static final java.lang.String ELEMENT_genericElement

See Also:
  Constant Field Values

### ELEMENT_genericElementType

    public static final java.lang.String ELEMENT_genericElementType

See Also:
  Constant Field Values

### ELEMENT_genericElementParameter

    public static final java.lang.String ELEMENT_genericElementParameter

See Also:
  Constant Field Values

### ELEMENT_genericElementParameter_valueExpression

    public static final java.lang.String ELEMENT_genericElementParameter_valueExpression

See Also:
  Constant Field Values

### ATTRIBUTE_namespace

    public static final java.lang.String ATTRIBUTE_namespace

See Also:
  Constant Field Values

### ATTRIBUTE_skipWhenNull

    public static final java.lang.String ATTRIBUTE_skipWhenNull

See Also:
  Constant Field Values

### ELEMENT_genericElementParameterValue

    public static final java.lang.String ELEMENT_genericElementParameterValue

See Also:
  Constant Field Values

Method Detail

### getPositionTypeMap

    public static java.util.Map getPositionTypeMap()

  Deprecated. Replaced by `PositionTypeEnum`.

### getModeMap

    public static java.util.Map getModeMap()

  Deprecated. Replaced by `ModeEnum`.

### getColorMap

    public static java.util.Map getColorMap()

  Deprecated. Replaced by `ColorEnum`.

### getHorizontalAlignMap

    public static java.util.Map getHorizontalAlignMap()

  Deprecated. Replaced by `HorizontalAlignEnum`.

### getTextAlignMap

    public static java.util.Map getTextAlignMap()

  Deprecated. Replaced by `HorizontalAlignEnum`.

### getVerticalAlignMap

    public static java.util.Map getVerticalAlignMap()

  Deprecated. Replaced by `VerticalAlignEnum`.

### getRotationMap

    public static java.util.Map getRotationMap()

  Deprecated. Replaced by `RotationEnum`.

### getBreakTypeMap

    public static java.util.Map getBreakTypeMap()

  Deprecated. Replaced by `BreakTypeEnum`.

### getRunDirectionMap

    public static java.util.Map getRunDirectionMap()

  Deprecated. Replaced by `RunDirectionEnum`.

### getLineSpacingMap

    public static java.util.Map getLineSpacingMap()

  Deprecated. Replaced by `LineSpacingEnum`.

### getDirectionMap

    public static java.util.Map getDirectionMap()

  Deprecated. Replaced by `LineDirectionEnum`.

### getScaleImageMap

    public static java.util.Map getScaleImageMap()

  Deprecated. Replaced by `ScaleImageEnum`.

### getOnErrorTypeMap

    public static java.util.Map getOnErrorTypeMap()

  Deprecated. Replaced by `OnErrorTypeEnum`.

### getStretchTypeMap

    public static java.util.Map getStretchTypeMap()

  Deprecated. Replaced by `StretchTypeEnum`.

### getLineStyleMap

    public static java.util.Map getLineStyleMap()

  Deprecated. Replaced by `LineStyleEnum`.

### getPenMap

    public static java.util.Map getPenMap()

  Deprecated. Replaced by `PenEnum`.

### getFillMap

    public static java.util.Map getFillMap()

  Deprecated. Replaced by `FillEnum`.

### getResetTypeMap

    public static java.util.Map getResetTypeMap()

  Deprecated. Replaced by `ResetTypeEnum`.

### getCalculationMap

    public static java.util.Map getCalculationMap()

  Deprecated. Replaced by `CalculationEnum`.

### getPrintOrderMap

    public static java.util.Map getPrintOrderMap()

  Deprecated. Replaced by `PrintOrderEnum`.

### getOrientationMap

    public static java.util.Map getOrientationMap()

  Deprecated. Replaced by `OrientationEnum`.

### getWhenNoDataTypeMap

    public static java.util.Map getWhenNoDataTypeMap()

  Deprecated. Replaced by `WhenNoDataTypeEnum`.

### getEvaluationTimeMap

    public static java.util.Map getEvaluationTimeMap()

  Deprecated. Replaced by `EvaluationTimeEnum`.

### getHyperlinkTypeMap

    public static java.util.Map getHyperlinkTypeMap()

  Deprecated. Replaced by `JRHyperlinkHelper.getHyperlinkType(String)`.

### getHyperlinkTargetMap

    public static java.util.Map getHyperlinkTargetMap()

  Deprecated. Replaced by `JRHyperlinkHelper.getHyperlinkTarget(String)`.

### getChartEdgeMap

    public static java.util.Map getChartEdgeMap()

  Deprecated. Replaced by `EdgeEnum`.

### getChartTitlePositionMap

    public static java.util.Map getChartTitlePositionMap()

  Deprecated. Replaced by `getChartEdgeMap()`.

### getPlotOrientationMap

    public static java.util.Map getPlotOrientationMap()

  Deprecated. Replaced by `PlotOrientationEnum`.

### getSortOrderMap

    public static java.util.Map getSortOrderMap()

  Deprecated. Replaced by `SortOrderEnum`.

### getScaleTypeMap

    public static java.util.Map getScaleTypeMap()

  Deprecated. Replaced by `ScaleTypeEnum`.

### getTimePeriod

    public static java.lang.Class getTimePeriod(java.lang.String timePeriod)

  Deprecated. Replaced by `TimePeriodEnum`.

### getTimePeriodName

    public static java.lang.String getTimePeriodName(java.lang.Class clazz)

  Deprecated. Replaced by `TimePeriodEnum`.

### getWhenResourceMissingTypeMap

    public static java.util.Map getWhenResourceMissingTypeMap()

  Deprecated. Replaced by `WhenResourceMissingTypeEnum`.

### getMeterShapeMap

    public static java.util.Map getMeterShapeMap()

  Deprecated. Replaced by `MeterShapeEnum`

### getThermometerValueLocationMap

    public static java.util.Map getThermometerValueLocationMap()

  Deprecated. Replaced by `ValueLocationEnum`

### getAxisPositionMap

    public static java.util.Map getAxisPositionMap()

  Deprecated. Replaced by `AxisPositionEnum`

### getCrosstabBucketOrderMap

    public static java.util.Map getCrosstabBucketOrderMap()

  Deprecated. Replaced by `SortOrderEnum`.

### getCrosstabPercentageMap

    public static java.util.Map getCrosstabPercentageMap()

  Deprecated. Replaced by `CrosstabPercentageEnum`.

### getCrosstabTotalPositionMap

    public static java.util.Map getCrosstabTotalPositionMap()

  Deprecated. Replaced by `CrosstabTotalPositionEnum`.

### getCrosstabRowPositionMap

    public static java.util.Map getCrosstabRowPositionMap()

  Deprecated. Replaced by `CrosstabRowPositionEnum`.

### getCrosstabColumnPositionMap

    public static java.util.Map getCrosstabColumnPositionMap()

  Deprecated. Replaced by `CrosstabColumnPositionEnum`.

### getSplitTypeMap

    public static java.util.Map getSplitTypeMap()

  Deprecated. Replaced by `SplitTypeEnum`.

### getBandTypeMap

    public static java.util.Map getBandTypeMap()

  Deprecated. Replaced by `BandTypeEnum`.

### getFooterPositionMap

    public static java.util.Map getFooterPositionMap()

  Deprecated. Replaced by `FooterPositionEnum`.

### getColor

    public static java.awt.Color getColor(java.lang.String strColor,
                                          java.awt.Color defaultColor)

  Deprecated. Replaced by `JRColorUtil.getColor(String, Color)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com